--- old/usr/src/cmd/refer/hunt7.c	Sat Aug 12 13:31:47 2017
+++ new/usr/src/cmd/refer/hunt7.c	Sat Aug 12 13:31:47 2017
@@ -1,4 +1,5 @@
 /*
+ * Copyright 2017 Gary Mills
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -12,8 +13,6 @@
  * specifies the terms and conditions for redistribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <stdio.h>
 #include <locale.h>
 #include <assert.h>
@@ -37,11 +36,8 @@
 	extern long gdate();
 	static FILE *fa = NULL;
 	long lp, llen;
-	int len, k, nofil;
+	int k, nofil;
 
-#if D1
-	fprintf(stderr, "findline: %s\n", in);
-#endif
 	if (mindex(in, '!'))
 		return (0);
 
@@ -51,39 +47,19 @@
 	if (*p) *p++ = 0;
 	else p = in;
 	k = sscanf(p, "%ld,%ld", &lp, &llen);
-#ifdef D1
-	fprintf(stderr, "p %s k %d lp %ld llen %ld\n", p, k, lp, llen);
-#endif
 	if (k < 2) {
 		lp = 0;
 		llen = outlen;
 	}
-#ifdef D1
-	fprintf(stderr, "lp %ld llen %ld\n", lp, llen);
-#endif
-#ifdef D1
-	fprintf(stderr, "fa now %o, p %o in %o %s\n", fa, p, in, in);
-#endif
 	if (nofil) {
-#if D1
-		fprintf(stderr, "set fa to stdin\n");
-#endif
 		fa = stdin;
 	} else
 		if (strcmp(name, in) != 0 || 1) {
-#if D1
-			fprintf(stderr, "old: %s new %s not equal\n", name, in);
-#endif
 			if (fa != NULL)
 				fa = freopen(in, "r", fa);
 			else
 				fa = fopen(in, "r");
-#if D1
 			if (fa == NULL)
-				fprintf(stderr, "failed to (re)open *%s*\n",
-				    in);
-#endif
-			if (fa == NULL)
 				return (0);
 			/* err("Can't open %s", in); */
 			strcpy(name, in);
@@ -105,11 +81,6 @@
 				    name);
 			}
 		}
-#if D1
-		else
-			fprintf(stderr, "old %s new %s same fa %o\n",
-			    name, in, fa);
-#endif
 	if (fa != NULL) {
 		fseek(fa, lp, 0);
 		*out = (char *)malloc(llen + 1);
@@ -116,11 +87,8 @@
 		if (*out == NULL) {
 			return (0);
 		}
-		len = fread(*out, 1, llen, fa);
+		(void) fread(*out, 1, llen, fa);
 		*(*out + llen) = 0;
-#ifdef D1
-		fprintf(stderr, "length as read is %d\n", len);
-#endif
 	}
 	return (llen);
 }
